# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sw_galaxy_map_gui"
version = "0.11.0"
authors = ["Alessandro Maestri <umpire274@gmail.com>"]
build = false
include = [
    "src/**",
    "assets/**",
    "Cargo.toml",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "GUI frontend for sw_galaxy_map using egui"
homepage = "https://github.com/umpire274/sw_galaxy_map"
documentation = "https://github.com/umpire274/sw_galaxy_map"
readme = "README.md"
keywords = [
    "star-wars",
    "gui",
    "egui",
    "sqlite",
]
categories = ["gui"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/umpire274/sw_galaxy_map"

[lib]
name = "sw_galaxy_map_gui"
path = "src/lib.rs"

[[bin]]
name = "sw_galaxy_map_gui"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.arboard]
version = "3.6.1"

[dependencies.chrono]
version = "0.4.44"

[dependencies.eframe]
version = "0.33.3"

[dependencies.egui]
version = "0.33.3"

[dependencies.rfd]
version = "0.17.2"

[dependencies.serde_json]
version = "1.0.149"

[dependencies.shell-words]
version = "1.1.1"

[dependencies.sw_galaxy_map_cli]
version = "0.11.0"

[dependencies.sw_galaxy_map_core]
version = "0.11.0"

[target."cfg(windows)".build-dependencies.winres]
version = "0.1"
